#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_with 	glade		# install glade catalog
%bcond_without	static_libs	# static library
%bcond_without	vala		# do not build Vala API

Summary:	Text widget that extends the standard GTK+ 3.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 3.x
Name:		gtksourceview4
Version:	4.4.0
Release:	1
License:	LGPL v2+ (library), GPL v2+ (some language specs files)
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/4.4/gtksourceview-%{version}.tar.xz
# Source0-md5:	5c47e314517692f2622a0b724c65e628
URL:		https://wiki.gnome.org/Projects/GtkSourceView
BuildRequires:	docbook-dtd412-xml
BuildRequires:	fribidi-devel >= 0.19.7
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.48.0
BuildRequires:	gobject-introspection-devel >= 1.42.0
BuildRequires:	gtk+3-devel >= 3.22
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.25}
BuildRequires:	itstool
%if %{with glade}
BuildRequires:	libgladeui-devel >= 3.9.0
%endif
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
Requires:	fribidi >= 0.19.7
Requires:	glib2 >= 1:2.48.0
Requires:	gtk+3 >= 3.22
Requires:	libxml2 >= 1:2.6.31
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 3.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 3.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package devel
Summary:	Header files for GtkSourceView
Summary(pl.UTF-8):	Pliki nagłówkowe dla GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fribidi-devel >= 0.19.7
Requires:	glib2-devel >= 1:2.48.0
Requires:	gtk+3-devel >= 3.22
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for GtkSourceView.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GtkSourceView.

%package static
Summary:	Static GtkSourceView library
Summary(pl.UTF-8):	Statyczna biblioteka GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GtkSourceView library.

%description static -l pl.UTF-8
Statyczna biblioteka GtkSourceView.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package -n glade3-gtksourceview
Summary:	Glade3 catalog entry for GtkSourceView library
Summary(pl.UTF-8):	Wpis katalogu Glade3 dla biblioteki GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libgladeui >= 3.9.0

%description -n glade3-gtksourceview
Glade3 catalog entry for GtkSourceView library.

%description -n glade3-gtksourceview -l pl.UTF-8
Wpis katalogu Glade3 dla biblioteki GtkSourceView.

%package -n vala-gtksourceview4
Summary:	GtkSourceView API for Vala language
Summary(pl.UTF-8):	API GtkSourceView dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-gtksourceview4
GtkSourceView API for Vala language.

%description -n vala-gtksourceview4 -l pl.UTF-8
API GtkSourceView dla języka Vala.

%prep
%setup -q -n gtksourceview-%{version}

%if %{with static_libs}
%{__sed} -i -e 's/gtksource_lib = shared_library/gtksource_lib = library/' gtksourceview/meson.build
%endif

%build
%meson build \
	%{?with_glade:-Dglade_catalog=true} \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang gtksourceview-4

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-4.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtksourceview-4.so.0
%{_datadir}/gtksourceview-4
%{_libdir}/girepository-1.0/GtkSource-4.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-4.so
%{_includedir}/gtksourceview-4
%{_pkgconfigdir}/gtksourceview-4.pc
%{_datadir}/gir-1.0/GtkSource-4.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-4.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtksourceview-4.0
%endif

%if %{with glade}
%files -n glade3-gtksourceview
%defattr(644,root,root,755)
%{_datadir}/glade3/catalogs/gtksourceview.xml
%endif

%if %{with vala}
%files -n vala-gtksourceview4
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gtksourceview-4.deps
%{_datadir}/vala/vapi/gtksourceview-4.vapi
%endif
%changelog
* Sun Oct 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtksourceview4.git;a=log;h=master

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 349c23b
- updated to 4.4.0

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 4d80c2b
- updated to 4.2.0

* Mon Oct 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 71b49bd
- updated to 4.0.3

* Sat Jun 03 2017 Jakub Bogusz <qboosh@pld-linux.org> c91f81a
- gtksourceview 4.x, parallel installable with 3.x

* Wed May 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 70daf36
- updated to 3.24.2

* Wed Apr 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d3e300b
- Update to 3.24.1

* Sun Mar 19 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 649b340
- Update to 3.24.0

* Sun Nov 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ea4c5e5
- Update to 3.22.2

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> fa8e4ea
- gnome-common not required since 3.17.x

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 37e381e
- Update to 3.22.0

* Thu Jun 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 8e3c13f
- updated to 3.20.4

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> b246735
- updated to 3.20.3

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> cfca062
- noarch apidocs

* Fri Apr 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 0b91145
- updated BRs

* Fri Apr 01 2016 Marcin Banasiak <marcin.banasiak@gmail.com> cdd4b80
- Update to 3.20.1

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 4564cf8
- noarch vala subpackage

* Thu Mar 24 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ede2878
- Update to 3.20.0

* Sat Jan 16 2016 Łukasz Kieś <kiesiu@pld-linux.org> d996e5b
- updated to 3.18.2

* Sun Oct 11 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 5e29c1d
- Update to 3.18.1

* Thu Oct 01 2015 Jakub Bogusz <qboosh@pld-linux.org> d5fd6af
- fix build without ${V:N} non-POSIX sh extension

